Przejdź do głównej zawartości

payment-api (1.2)

Download OpenAPI specification:Download

point

point

Get point channels

path Parameters
pointId
required
string (PointIdSchema) ^[0-9a-f]{8}$
Example: b8e6e2fc

Point ID

Responses

Response Schema: application/json
Array of objects (GetPointChannelsResource)
Array
id
string

Channel ID

available
boolean

Whether the channel is available for use

method
string

Payment method

name
string

Channel name

object

Channel image

default
string or null <url>

Default channel image

object

Minimum and maximum transaction amount

minimum
string <decimal>

Minimum transaction amount

maximum
string <decimal>

Maximum transaction amount

aliases
Array of strings or null

Channel aliases

currencies
Array of strings

Supported currencies

object

Commission settings

value
string or null <decimal>

Commission value

minimum
string or null <decimal>

Minimum commission amount

fixed
string or null <decimal>

Whether commission is fixed

object

Authorization settings

type
Array of strings
Items Enum: "REDIRECT" "MULTI_FACTOR" "SCAN_CODE" "APP_NOTIFICATION"

Authorization type

paymentType
string
Enum: "INSTANT" "PRE_AUTHORIZATION" "OFFLINE"

Payment type

Array of objects or null

Compliance items for the channel

Array
id
string

Compliance item identifier

type
string
Enum: "DISPLAYABLE" "ACCEPTABLE"

Compliance type

required
boolean
checked
boolean or null
object
text
string
html
string
markdown
string
Array of objects
Array
id
string
label
string
url
string <url>
enablingAt
string or null <date-time>

Channel enabling date

disablingAt
string or null <date-time>

Channel disabling date

Response samples

Content type
application/json
{
  • "data": [
    • {
      • "id": "mbank",
      • "available": true,
      • "method": "PBL",
      • "name": "mBank",
      • "image": {},
      • "amount": {
        • "minimum": "10.00",
        • "maximum": "10000.00"
        },
      • "aliases": [
        • "string"
        ],
      • "currencies": [
        • "string"
        ],
      • "commission": {
        • "value": "1.65",
        • "minimum": "0.30",
        • "fixed": "2.50"
        },
      • "authorization": {
        • "type": [
          ]
        },
      • "paymentType": "INSTANT",
      • "compliance": [
        • {
          }
        ],
      • "enablingAt": "2019-08-24T14:15:22Z",
      • "disablingAt": "2019-08-24T14:15:22Z"
      }
    ]
}

system

system

Ping the API

Responses

Response Schema: application/json
object
message
string
environment
string
Enum: "production" "sandbox"
tokenId
string
clientId
string
version
string
scopes
Array of strings

Response samples

Content type
application/json
{
  • "data": {
    • "message": "pong",
    • "environment": "sandbox",
    • "tokenId": "2a77157f-7a73-413d-90a1-cd1263533d61",
    • "clientId": "72b631fe",
    • "version": "1.2",
    • "scopes": [
      • "*"
      ]
    }
}

transactions

transactions

Capture PAID transaction

path Parameters
pointId
required
string (PointIdSchema) ^[0-9a-f]{8}$
Example: b8e6e2fc

Point ID

transactionId
required
string (TransactionIdSchema) = 14 characters ^[A-Z0-9]{4}-[A-Z0-9]{3}-[A-Z0-9]{3}-[A-Z0-9]...
Example: ABC1-AB2-AB3-ABC4

Transaction ID

Responses

Response samples

Content type
application/json
{
  • "data": { }
}

List transactions

path Parameters
pointId
required
string (PointIdSchema) ^[0-9a-f]{8}$
Example: b8e6e2fc

Point ID

query Parameters
filter[status]
string
Example: filter[status]=PAID
filter[amount]
string
Example: filter[amount]=100.50
filter[externalReferenceId]
string
Example: filter[externalReferenceId]=EXT-REF-123
filter[orderId]
string
Example: filter[orderId]=ORD-12345
filter[customerName]
string
Example: filter[customerName]=John Doe
filter[customerEmail]
string <email>
Example: filter[customerEmail][email protected]
filter[blikId]
string
Example: filter[blikId]=BLIK123
filter[cardBin]
string = 6 characters
Example: filter[cardBin]=411111
filter[providerId]
string
Example: filter[providerId]=blik
filter[createdAt]
string
Example: filter[createdAt]=2024-01-01T00:00:00Z,2024-12-31T23:59:59Z

Date range in format: YYYY-MM-DDTHH:MM:SSZ,YYYY-MM-DDTHH:MM:SSZ

filter[paidAt]
string
Example: filter[paidAt]=2024-01-01T00:00:00Z,2024-12-31T23:59:59Z

Date range in format: YYYY-MM-DDTHH:MM:SSZ,YYYY-MM-DDTHH:MM:SSZ

query[full]
string
Example: query[full]=John

Full-text search across all searchable fields

query[customerName]
string
Example: query[customerName]=John Doe

Search by customer name

query[customerEmail]
string <email>
Example: query[customerEmail][email protected]

Search by customer email

query[title]
string
Example: query[title]=Order #12345

Search by transaction title

page[number]
integer >= 1
Example: page[number]=1
page[size]
integer [ 1 .. 100 ]
Example: page[size]=25

Responses

Response Schema: application/json
Array of objects (GetTransactionsResource)
Array
id
string (TransactionIdSchema) = 14 characters ^[A-Z0-9]{4}-[A-Z0-9]{3}-[A-Z0-9]{3}-[A-Z0-9]...
status
string (TransactionStatusSchema)
Enum: "CREATED" "PENDING" "PAID" "FAILED" "EXPIRED"
amount
string

Transaction amount as a string-encoded decimal

title
string
commission
string or null
customerName
string or null
customerEmail
string or null <email>
externalReferenceId
string or null
paymentMethod
string or null
paymentChannel
string or null
orderId
string or null
blikId
string or null
cardBin
string or null
paidAt
string or null <date-time>
createdAt
string or null <date-time>
object
page
integer
pageSize
integer
total
integer
totalPages
integer
from
integer or null
to
integer or null
object
first
string or null <url>
prev
string or null <url>
next
string or null <url>
last
string or null <url>

Response samples

Content type
application/json
{
  • "data": [
    • {
      • "id": "ABC1-AB2-AB3-ABC4",
      • "status": "CREATED",
      • "amount": "123.45",
      • "title": "Order #12345",
      • "commission": "1.23",
      • "customerName": "John Doe",
      • "customerEmail": "[email protected]",
      • "externalReferenceId": "EXT-REF-123",
      • "paymentMethod": "BLIK",
      • "paymentChannel": "blik-psp",
      • "orderId": "ORD-12345",
      • "blikId": "BLIK123",
      • "cardBin": "411111",
      • "paidAt": "2019-08-24T14:15:22Z",
      • "createdAt": "2019-08-24T14:15:22Z"
      }
    ],
  • "pagination": {
    • "page": 1,
    • "pageSize": 25,
    • "total": 320,
    • "totalPages": 13,
    • "from": 1,
    • "to": 25,
    • "links": {
      • "first": "string",
      • "prev": "string",
      • "next": "string",
      • "last": "string"
      }
    }
}

Create payment transaction

path Parameters
pointId
required
string (PointIdSchema) ^[0-9a-f]{8}$
Example: b8e6e2fc

Point ID

Request Body schema: application/json
required

Create payment transaction

amount
required
string <decimal>

Amount in minor precision with up to 2 decimals

currency
string or null = 3 characters
Default: "PLN"
Enum: "PLN" "EUR"

ISO 4217 3-letter currency code. Defaults to PLN when omitted.

title
required
string [ 5 .. 64 ] characters
description
string or null <= 128 characters
externalReferenceId
string or null <= 64 characters
object or null
success
string or null <uri> <= 255 characters
failure
string or null <uri> <= 255 characters
(CustomerDataSchema (object or null))
One of
name
string or null <= 64 characters ^[\p{L}' -]+$
email
string or null <= 64 characters
emailVerified
boolean or null
phone
string or null <= 64 characters
phoneVerified
boolean or null
country
string or null = 2 characters

ISO 3166-1 alpha-2

locale
string or null = 2 characters

ISO 639-1 alpha-2

ip
string or null <= 64 characters
userAgent
string or null <= 128 characters
fingerprint
string or null <= 64 characters
(OrderDataSchema (object or null))
One of
id
string or null <= 64 characters
shippingMethod
string or null
Enum: "VIRTUAL" "TRACKED_DELIVERY" "UNTRACKED_DELIVERY" "IN_STORE_PICKUP" "PARCEL_PICKUP" "LOCKER_PICKUP" "HYBRID" "OTHER"
trackingNumber
string or null
customerType
string or null
Enum: "B2B" "B2C"
(CustomerFullDataSchema (object or null))
One of
firstName
string or null [ 2 .. 64 ] characters /^[\p{L}'-]+$/u
lastName
string or null [ 2 .. 64 ] characters /^[\p{L}'-]+$/u
street
string or null <= 64 characters
buildingNumber
string or null <= 16 characters
flat
string or null <= 16 characters
city
string or null <= 64 characters
region
string or null <= 64 characters
postalCode
string or null <= 16 characters
state
string or null <= 64 characters
country
string or null <ISO-3166-1 alpha-2> = 2 characters
company
string or null <= 64 characters
(CustomerFullDataSchema (object or null))
One of
firstName
string or null [ 2 .. 64 ] characters /^[\p{L}'-]+$/u
lastName
string or null [ 2 .. 64 ] characters /^[\p{L}'-]+$/u
street
string or null <= 64 characters
buildingNumber
string or null <= 16 characters
flat
string or null <= 16 characters
city
string or null <= 64 characters
region
string or null <= 64 characters
postalCode
string or null <= 16 characters
state
string or null <= 64 characters
country
string or null <ISO-3166-1 alpha-2> = 2 characters
company
string or null <= 64 characters
Array of objects or null
Array
name
string or null <= 64 characters
quantity
integer or null >= 1
unitPrice
string or null <decimal>
type
string or null
Default: "PRODUCT"
Enum: "PRODUCT" "SHIPPING" "DISCOUNT" "SURCHARGE" "GIFT_CARD"
productType
string or null
Enum: "PHYSICAL" "DIGITAL" "SERVICE" "VIRTUAL"
sku
string or null <= 64
paymentMethod
string or null
Enum: "BLIK" "PBL" "BNPL" "CARD" "MOBILE_WALLET"
paymentChannel
string or null
Array of objects or null

Whitelist of payment methods (optionally narrowed to a specific channel) that the gateway will present to the customer. Cannot be combined with hiddenPaymentMethods, paymentMethod or paymentChannel. When paymentChannel is null, all channels of that method are allowed.

Array
paymentMethod
required
string
Enum: "BLIK" "PBL" "BNPL" "CARD" "MW" "PAYSAFE"
paymentChannel
string or null
Array of objects or null

List of payment methods (optionally narrowed to a specific channel) that the gateway will hide from the customer. Cannot be combined with allowedPaymentMethods, paymentMethod or paymentChannel. When paymentChannel is null, all channels of that method are hidden.

Array
paymentMethod
required
string
Enum: "BLIK" "PBL" "BNPL" "CARD" "MW" "PAYSAFE"
paymentChannel
string or null
createRegistration
boolean or null

If true, store customer payment instrument for recurring transactions.

whitelabel
boolean or null
autoCapture
boolean or null
expiresAt
string or null <date-time>

Responses

Response Schema: application/json
object (CreateTransactionResource)
id
string

Transaction ID

redirectUrl
string <url>

Transaction URL

whitelabel
object or null

Request samples

Content type
application/json
{
  • "amount": "123.45",
  • "currency": "PLN",
  • "title": "Order #12345",
  • "description": "string",
  • "externalReferenceId": "string",
  • "redirect": {},
  • "customer": {
    • "name": "John Doe",
    • "email": "[email protected]",
    • "emailVerified": true,
    • "phone": "+48123456789",
    • "phoneVerified": true,
    • "country": "PL",
    • "locale": "st",
    • "ip": "string",
    • "userAgent": "string",
    • "fingerprint": "string"
    },
  • "order": {
    • "id": "string",
    • "shippingMethod": "VIRTUAL",
    • "trackingNumber": "string",
    • "customerType": "B2B"
    },
  • "billingAddress": {
    • "firstName": "John",
    • "lastName": "Doe",
    • "street": "ul. Kowalska",
    • "buildingNumber": "26",
    • "flat": "string",
    • "city": "Bielsko-Biała",
    • "region": "string",
    • "postalCode": "43-316",
    • "state": "string",
    • "country": "PL",
    • "company": "string"
    },
  • "shippingAddress": {
    • "firstName": "John",
    • "lastName": "Doe",
    • "street": "ul. Kowalska",
    • "buildingNumber": "26",
    • "flat": "string",
    • "city": "Bielsko-Biała",
    • "region": "string",
    • "postalCode": "43-316",
    • "state": "string",
    • "country": "PL",
    • "company": "string"
    },
  • "cart": [
    • {
      • "name": "string",
      • "quantity": 1,
      • "unitPrice": "string",
      • "type": "PRODUCT",
      • "productType": "PHYSICAL",
      • "sku": "string"
      }
    ],
  • "paymentMethod": "CARD",
  • "paymentChannel": null,
  • "allowedPaymentMethods": [
    • {
      • "paymentMethod": "BLIK",
      • "paymentChannel": "blik-level0"
      }
    ],
  • "hiddenPaymentMethods": [
    • {
      • "paymentMethod": "BNPL",
      • "paymentChannel": null
      }
    ],
  • "createRegistration": true,
  • "whitelabel": true,
  • "autoCapture": true,
  • "expiresAt": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{}

Get transaction details

path Parameters
pointId
required
string (PointIdSchema) ^[0-9a-f]{8}$
Example: b8e6e2fc

Point ID

transactionId
required
string (TransactionIdSchema) = 14 characters ^[A-Z0-9]{4}-[A-Z0-9]{3}-[A-Z0-9]{3}-[A-Z0-9]...
Example: ABC1-AB2-AB3-ABC4

Transaction ID

Responses

Response Schema: application/json
object (GetTransactionDetailsResource)
id
object

Transaction ID

status
string (TransactionStatusSchema)
Enum: "CREATED" "PENDING" "PAID" "FAILED" "EXPIRED"
amount
string

Transaction amount as a string-encoded decimal

currency
string

ISO 4217 currency code

title
string
commission
string or null
description
string or null
object (CustomerDataSchema)
name
string or null <= 64 characters ^[\p{L}' -]+$
email
string or null <= 64 characters
emailVerified
boolean or null
phone
string or null <= 64 characters
phoneVerified
boolean or null
country
string or null = 2 characters

ISO 3166-1 alpha-2

locale
string or null = 2 characters

ISO 639-1 alpha-2

ip
string or null <= 64 characters
userAgent
string or null <= 128 characters
fingerprint
string or null <= 64 characters
object (OrderDataSchema)
id
string or null <= 64 characters
shippingMethod
string or null
Enum: "VIRTUAL" "TRACKED_DELIVERY" "UNTRACKED_DELIVERY" "IN_STORE_PICKUP" "PARCEL_PICKUP" "LOCKER_PICKUP" "HYBRID" "OTHER"
trackingNumber
string or null
customerType
string or null
Enum: "B2B" "B2C"
(CustomerFullDataSchema (object or null))
One of
firstName
string or null [ 2 .. 64 ] characters /^[\p{L}'-]+$/u
lastName
string or null [ 2 .. 64 ] characters /^[\p{L}'-]+$/u
street
string or null <= 64 characters
buildingNumber
string or null <= 16 characters
flat
string or null <= 16 characters
city
string or null <= 64 characters
region
string or null <= 64 characters
postalCode
string or null <= 16 characters
state
string or null <= 64 characters
country
string or null <ISO-3166-1 alpha-2> = 2 characters
company
string or null <= 64 characters
(CustomerFullDataSchema (object or null))
One of
firstName
string or null [ 2 .. 64 ] characters /^[\p{L}'-]+$/u
lastName
string or null [ 2 .. 64 ] characters /^[\p{L}'-]+$/u
street
string or null <= 64 characters
buildingNumber
string or null <= 16 characters
flat
string or null <= 16 characters
city
string or null <= 64 characters
region
string or null <= 64 characters
postalCode
string or null <= 16 characters
state
string or null <= 64 characters
country
string or null <ISO-3166-1 alpha-2> = 2 characters
company
string or null <= 64 characters
externalReferenceId
string or null
object
success
string or null <url>
failure
string or null <url>
paymentMethod
string or null
paymentChannel
string or null
whitelabel
boolean
Array of objects or null (CartItemSchema)
Array
name
string or null <= 64 characters
quantity
integer or null >= 1
unitPrice
string or null <decimal>
autoCapture
boolean
isCaptured
boolean
capturedAt
string or null <date-time>
paidAt
string or null <date-time>
createdAt
string or null <date-time>
expiresAt
string or null <date-time>

Response samples

Content type
application/json
{
  • "data": {
    • "id": { },
    • "status": "CREATED",
    • "amount": "123.45",
    • "currency": "PLN",
    • "title": "Order #12345",
    • "commission": "1.23",
    • "description": "Payment for order #12345",
    • "customer": {
      • "name": "John Doe",
      • "email": "[email protected]",
      • "emailVerified": true,
      • "phone": "+48123456789",
      • "phoneVerified": true,
      • "country": "PL",
      • "locale": "st",
      • "ip": "string",
      • "userAgent": "string",
      • "fingerprint": "string"
      },
    • "order": {
      • "id": "string",
      • "shippingMethod": "VIRTUAL",
      • "trackingNumber": "string",
      • "customerType": "B2B"
      },
    • "billingAddress": {
      • "firstName": "John",
      • "lastName": "Doe",
      • "street": "ul. Kowalska",
      • "buildingNumber": "26",
      • "flat": "string",
      • "city": "Bielsko-Biała",
      • "region": "string",
      • "postalCode": "43-316",
      • "state": "string",
      • "country": "PL",
      • "company": "string"
      },
    • "shippingAddress": {
      • "firstName": "John",
      • "lastName": "Doe",
      • "street": "ul. Kowalska",
      • "buildingNumber": "26",
      • "flat": "string",
      • "city": "Bielsko-Biała",
      • "region": "string",
      • "postalCode": "43-316",
      • "state": "string",
      • "country": "PL",
      • "company": "string"
      },
    • "externalReferenceId": "EXT-REF-123",
    • "paymentMethod": "VISA",
    • "paymentChannel": null,
    • "whitelabel": false,
    • "cart": [
      • {
        • "name": "Harry Potter",
        • "quantity": 1,
        • "unitPrice": "19.99"
        }
      ],
    • "autoCapture": true,
    • "isCaptured": false,
    • "capturedAt": "2019-08-24T14:15:22Z",
    • "paidAt": "2019-08-24T14:15:22Z",
    • "createdAt": "2019-08-24T14:15:22Z",
    • "expiresAt": "2019-08-24T14:15:22Z"
    }
}

blik

blik

Process BLIK transaction

Process a BLIK payment transaction using a 6-digit code

path Parameters
pointId
required
string (PointIdSchema) ^[0-9a-f]{8}$
Example: b8e6e2fc

Point ID

transactionId
required
string (TransactionIdSchema) = 14 characters ^[A-Z0-9]{4}-[A-Z0-9]{3}-[A-Z0-9]{3}-[A-Z0-9]...
Example: ABC1-AB2-AB3-ABC4

Transaction ID

Request Body schema: application/json
required

BLIK transaction processing data

type
required
string
Enum: "CODE" "ALIAS"

BLIK transaction type

code
required
string = 6 characters ^\d{6}$

6-digit BLIK code (required when type is CODE)

object

Alias data

value
required
string <= 64 characters

Alias value

label
string <= 35 characters

Alias label

appId
string <= 64 characters

Alias app ID

Responses

Request samples

Content type
application/json
{
  • "type": "CODE",
  • "code": "777123",
  • "alias": {}
}

Response samples

Content type
application/json
{
  • "data": {
    • "actionId": "01kaqf5trc82bk6cqqanjcjwnq",
    • "alias": null
    }
}

refunds

refunds

Create transaction refund

path Parameters
pointId
required
string (PointIdSchema) ^[0-9a-f]{8}$
Example: b8e6e2fc

Point ID

transactionId
required
string (TransactionIdSchema) = 14 characters ^[A-Z0-9]{4}-[A-Z0-9]{3}-[A-Z0-9]{3}-[A-Z0-9]...
Example: ABC1-AB2-AB3-ABC4

Transaction ID

Request Body schema: application/json
required

Create transaction refund

amount
required
string <decimal>

Amount in minor precision with up to 2 decimals

reason
string or null <= 64 characters

Reason for refund

externalReferenceId
string <= 64 characters

External reference ID

Responses

Response Schema: application/json
object (CreateTransactionRefundResource)
id
object

Refund ID

status
string (RefundStatusSchema)
Enum: "CREATED" "ACCEPTED" "PENDING" "DONE" "REJECTED" "CANCELLED"

Request samples

Content type
application/json
{
  • "amount": "123.45",
  • "reason": "string",
  • "externalReferenceId": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    • "id": "AB1-AB2-AB3",
    • "status": "CREATED"
    }
}

Get transaction refund details

path Parameters
pointId
required
string (PointIdSchema) ^[0-9a-f]{8}$
Example: b8e6e2fc

Point ID

transactionId
required
string (TransactionIdSchema) = 14 characters ^[A-Z0-9]{4}-[A-Z0-9]{3}-[A-Z0-9]{3}-[A-Z0-9]...
Example: ABC1-AB2-AB3-ABC4

Transaction ID

refundId
required
string^[A-Z0-9]{3}-[A-Z0-9]{3}-[A-Z0-9]{3}$
Example: AB1-AB2-AB3

Refund ID

Responses

Response Schema: application/json
object (GetRefundDetailsResource)
id
object

Refund ID

status
string (RefundStatusSchema)
Enum: "CREATED" "ACCEPTED" "PENDING" "DONE" "REJECTED" "CANCELLED"
amount
string

Refund amount as a string-encoded decimal

reason
string or null <= 64 characters

Reason for refund

externalReferenceId
string or null <= 64 characters

External reference ID

createdAt
string or null <date-time>

Refund creation timestamp

updatedAt
string or null <date-time>

Refund update timestamp

Response samples

Content type
application/json
{
  • "data": {
    • "id": "AB1-AB2-AB3",
    • "status": "CREATED",
    • "amount": "123.45",
    • "reason": "string",
    • "externalReferenceId": "string",
    • "createdAt": "2019-08-24T14:15:22Z",
    • "updatedAt": "2019-08-24T14:15:22Z"
    }
}